# Example Usages for Tools and Types

### Example Usage of `get_sibling_content_files`

```html
<ul>
    {% for file in get_sibling_content_files('path/to/directory') %}
    <li>{{ file[0] }} - {{ file[1] }}</li>
    {% endfor %}
</ul>
```

### Example Usage of `get_text_document_preview`

```html
<div>
    {{ get_text_document_preview('path/to/document.md') }}
</div>
```

### Example Usage of `get_sibling_content_folders`

```html
<ul>
    {% for folder in get_sibling_content_folders('path/to/directory') %}
    <li>{{ folder[0] }} - {{ folder[1] }}</li>
    {% endfor %}
</ul>
```

### Example Usage of `get_folder_contents`

```html
<ul>
    {% for item in get_folder_contents('path/to/directory') %}
    <li>{{ item.name }} - {{ item.path }}</li>
    {% endfor %}
</ul>
```
