# Configuration

The configuration file is written in TOML format and contains various settings for the application. Below is an example configuration file (`config.toml`):

```toml
[paths]
content_dir = "example/content"
templates_dir = "templates"
styles_dir = "styles"

[server]
listen_address = "127.0.0.1"
listen_port = 8080
debug = false
access_log = true
max_threads = 4
admin_browser = false
admin_password = "your_admin_password"
```
